### CollectMultiGrid

Category

Structuring

Function

Collects objects together in a multigrid group.

Syntax

    multigrid = CollectMultiGrid(object, name, object, name, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | (no default) | object to be collected
`name` | string | (no default) | name of object
`...` |  |  | additional object-name pair(s)

Outputs

Name | Type | Description
--- | --- | ---
`multigrid` | group | the output multigrid

Functional Details

The CollectMultiGrid module creates a Multigrid group from specified objects. The data and connection types of each Field in the Multigrid must be the same.

`object` | is an object to be placed in the group.
`name` | is an optional parameter for specifying the name of an object in the multigrid group. For example, the Select module could be used to select a member by name.

Data Explorer modules treat a Multigrid group as a single entity. The positions may be disjoint or overlapping. If they overlap, the "invalid positions" and "invalid connections" components can be used to identify the valid positions in a given region (see "Invalid Positions and Invalid Connections Components" in IBM Visualization Data Explorer User's Guide.)

A single CollectMultiGrid module can collect up to 21 objects together in a group. In the user interface, the default number of enabled parameter pairs (i.e., `object` and `name`) is two. Tabs can be added to the module icon and removed with the appropriate `Input/Output Tab` options in the `Edit` pull-down menu of the VPE.

Components

All components are propagated to the output.

See Also

Append, CollectMultiGrid, CollectNamed, CollectSeries, Select

[ OpenDX Home at IBM | OpenDX.org ]